Skip to main content
GET
/
v5
/
notifications
/
channels
Retrieve all notification channels
curl --request GET \
  --url https://api.kadoa.com/v5/notifications/channels \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.kadoa.com/v5/notifications/channels"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.kadoa.com/v5/notifications/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "channels": [
      {
        "id": "<string>",
        "name": "<string>",
        "channelType": "<string>",
        "config": {
          "recipients": [
            "user@example.com",
            "admin@company.com"
          ],
          "from": "notifications@kadoa.com"
        },
        "linkedConfigurations": [
          {
            "configurationId": "<string>",
            "workflowId": "<string>",
            "eventType": "<string>",
            "enabled": true
          }
        ],
        "createdAt": "<string>",
        "updatedAt": "<string>"
      }
    ]
  },
  "status": "<string>",
  "message": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

workflowId
string

Workflow ID (optional, if provided returns channels linked to this workflow)

includeConfigurations
boolean
default:true

Include linked notification configurations with workflow information

Response

Channels retrieved successfully

data
object
status
string
message
string